org.eclipse.lyo.oslc4j.core.model

## Class ResponseInfoCollection<T>

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.FilteredResource<T>
    - - org.eclipse.lyo.oslc4j.core.model.ResponseInfo<Collection<T>>
      - - org.eclipse.lyo.oslc4j.core.model.ResponseInfoCollection<T>

- All Implemented Interfaces:
    IExtendedResource, IResource

      public class ResponseInfoCollection<T>
      extends ResponseInfo<Collection<T>>

  Concrete ResponseInfo collection wrapper where resource are sent as an `Collection`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseInfoCollection(Collection<T> collection, Map<String,Object> properties, Integer totalCount, String nextPage)`
    `ResponseInfoCollection(Collection<T> collection, Map<String,Object> properties, Integer totalCount, URI nextPage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<T>` | `collection()`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.ResponseInfo

      `getContainer, nextPage, totalCount`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.FilteredResource

      `properties, resource`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseInfoCollection

          public ResponseInfoCollection(Collection<T> collection,
                                Map<String,Object> properties,
                                Integer totalCount,
                                String nextPage)

    - #### ResponseInfoCollection

          public ResponseInfoCollection(Collection<T> collection,
                                Map<String,Object> properties,
                                Integer totalCount,
                                URI nextPage)

  - ### Method Detail

    - #### collection

          public Collection<T> collection()

Copyright © 2016. All rights reserved.